Contents

  • Introduction
  • License
  • History
  • Menus
    • File
    • Tools
      • Transparency
      • Language
      • Conversion Editor
      • Options
        • General
        • Updates
    • Swap
    • Favorites
    • Category
    • Help
  • Frequently Asked Questions (FAQ)


Converber

Converber v1.1.1

©2004-2005 Xyntec Inc.

Xyntec Homepage

Introduction

Converber is a unit converter. It is a powerful software utility that will help make easy conversions between 645 various units of measure in 23 categories. Converber converts everything from length and force to flow and temperature. See some of the features listed below.

Converber:

  • Gives immediate access to all categories or single category
  • Favorites menu to bookmark your frequently-used conversions
  • New! Single or multiple preference file(s) for different users
  • Shows either common units or ALL units
  • Converts as you type, so no convert button is required
  • Includes equation editor to add your own custom units
  • Allows you to select/unselect the conversion file(s)
  • Can change the number of significant digits of the output
  • Option to select decimal-point precision
  • Option to select scientific notation only
  • Inverts selected units with the quick swap feature
  • Displays the category to give further information
  • Converts left-to-right OR right-to-left
  • Runs stand-alone using no dll files or registry settings
  • Remembers last window position and size (if desired)
  • Comes with extensive help file
  • Supports transparency (Windows 2000, XP only)
  • Supports a multi-language user interface

The program has been tested on Windows (98, NT, 2K, XP). Although it has not been verified, it will more than likely run on Windows 95 and ME, also. Converber has been designed using AutoIt v3. There is some overhead (~100KB) of using such an easy scripting language. However, Converber is still relatively small (~185KB) and stand-alone with no external .dll files or registry entries required (If using setup executable, one registry key is added to the Uninstall directory used for the Add or Remove Programs control panel applet). An ini file is created in the directory to store the units, categories, and conversion equations. There are also several LNG files available to allow users to select between different interface languages. And finally, an ini file is created in the program directory to store some of the last used settings, but can be deleted if necessary. This makes a perfect program to keep on your USB drive!

Best of all, Converber is FREE.


License

Software License

Converber
Version 1.1.1

LICENSE AGREEMENT AND COPYRIGHT
=========

This is a legal agreement ("License Agreement") between you (either personal or corporate) and Xyntec Inc. ("Author") for the software product "Converber" ("Software"). BY COPYING OR USING THE SOFTWARE IN ANY KIND, YOU AGREE TO BE BOUND BY ALL OF THE TERMS AND CONDITIONS OF THIS LICENSE AND DISCLAIMER AGREEMENT.

Converber is FREEWARE. You can freely use this software and distribute copies of the ORIGINAL DISTRIBUTION FILE as long as NO ALTERATIONS are made to the file and its contents and no charge is raised. Any other way of distributing this software is prohibited.

This is not public domain software. The software is owned by the author and protected by copyright law.

You may not modify, reverse engineer, decompile or disassemble the files of this software.

The application and any related documentation is provided "as is" WITHOUT ANY WARRANTIES, either express or implied, including, but not limited to, implied warranties of fitness for a particular purpose. The entire risk arising out of use or performance of the software remains with you.

In no event shall the author be liable for any damages whatsoever (including, without limitation, damages for loss of business profits, business interruption, loss of business information, or any other pecuniary loss) arising out of the use of or inability to use this software or documentation, even if the author has been advised of the possibility of such damages.

Copyright (c) 2004-2005 Xyntec Inc.
http://www.xyntec.com
28 October 2004


History

2005-11-10: v1.1.1

· Fixed preference file bug introduced in v1.1.0

Back To Top

2005-11-7: v1.1.0

· Added option for single or multiple preference file(s) for different users (Thanks Demetris)

Back To Top

2005-8-2: v1.0.0

· Dramatic speed increase when lists are populated (YMMV)
· Fixed thousands(M) conversion of Arabic to Roman numerals (Thanks jxtro!)
· Various other bug fixes

Back To Top

2005-7-18: v0.9.0

· Favorites menu to add and delete favorite unit conversions
· Interface can now be resized and maximized
· Added installation directory to About dialog box
· Show uninstall registry key being added in install and uninstall detail box
· Added options to check for new conversion file and/or new language file
· Added ini entries to recall units last selected in individual categories
· Sped up the display time of the lists when refreshed
· Fixed close on minimize bug
· Fixed transparency Ok and Cancel buttons

Back To Top

2005-6-3: v0.8.0

· Removed tray icon (Thanks Peter!)
· Changed shortcut to copy result to clipboard from Ctrl+R to Ctrl+C
· Corrected nanometer conversion (Thanks Ian!)
· Added German language file (Thanks Zappa!)
· Added more units bringing the total to 514

Back To Top

2005-4-26: v0.7.0

· Added selection to show either common units or ALL units
· Added option to use either "e" or "E" to introduce the exponent
· Trimmed large equation file AGAIN by over 50% (Custom equation files created using v0.6.0 remain valid)
· Created elaborate spreadsheet to provide more accuracy and precision
· Fixed visibility while using on a remote desktop, such as VNC
· Added "check for update during startup" option

Back To Top

2005-3-24: v0.6.0

· Added on-line help file option
· Fixed font bug for vertical text (Thanks YDY!)
· Trimmed large equation file AGAIN by over 50% (Apologies to those with custom equation files, but this should be the last time)
· Re-hauled the code to work with the slimmer equation file

Back To Top

2005-3-18: v0.5.0

· Added decimal-point precision and scientific notation options
· Added Frequency category
· Split Light category into Lumination and Illumination
· Using new smaller and more configurable installer

Back To Top

2005-2-25: v0.4.1

· Added the option to check for updates
· Fixed version identification
· Fixed some translation bugs

Back To Top

2005-2-23: v0.4.0

· Added the option to select a category
· Trimmed fat equation file by over 65%
· Re-hauled the code to work with the slimmer equation file

Back To Top

2005-2-9: v0.3.0

· Added interface to add your own custom units and conversion equations, as well as your own conversion files
· Added the option to enable or disable conversion files from being listed
· Added the option to edit language files from the Language dialog box
· Changed the structure of the help file
· Tweaked the code to make start-up look faster

Back To Top

2005-1-25: v0.2.0

· Added option to select the number of significant digits of the output
· Added Swap button to allow for quicker unit change
· Added category display to give further information
· Organized and cleaned up the code (new bug potential)

Back To Top

2005-1-18: v0.1.0

· Initial Release

Back To Top


Menus

Converber has the following menus:

  • File
  • Tools
  • Swap
  • Favorites
  • Category
  • Help


Menus: File

The File menu has the following menus:

  • Show Common Units: Shows only the common units within the category(s) as defined within the *.ini file(s).
  • Show All Units: Shows ALL units within the category(s) as defined within the *.ini file(s).
  • Import/Export: Shows a submenu to either Import Favorites or Export Favorites. Import Favorites allows you to import the favorites from a preferences INI file. Export Favorites allows you to export the favorites to a preferences INI file.
  • Exit: Quit Converber.


Menus: Tools

The Tools menu has the following menus:

  • Copy Result to Clipboard: Copies the calculated value to the Windows clipboard making it available to other applications by using the commonly used paste feature.
  • Transparency: Starts the Transparency dialog for altering the transparency of the main window.
  • Language: Starts the Language dialog for allowing users to select a different language.
  • Conversion Editor: Starts the Conversion Editor dialog for adding, deleting, or editing conversion equations.
  • Options: Starts the Options dialog for selecting amongst several options.


Tools: Transparency

The Transparency tool alters the transparency of the main window. A transparent object is viewed by light shining through it from behind. This allows the desktop or other software to be seen under the active window. Any level of transparency is available from fully transparent (0%) to non-transparent (100%). Transparency is only available in Windows 2000 and Windows XP.


Tools: Language

The Language tool allows users to select a different language.

  • Language

    Each language has it's own *.LNG file. To configure and use your language, simply

    1. Open the Language tool dialog.
    2. Select your language in the drop-down list.
    3. Select the View button to edit the file.
    4. Save the file and exit the text editor.
    5. Send the zipped (*.zip) text file to the Author to include in future updates ;) (Click Here - Please include your name/alias/email/website to give credit where credit is due)
    6. With the language file still selected in the drop-down list, select the Ok button.

    To add, configure and use your own language, simply

    1. Navigate to the Converber program directory. By default, the directory is "{Home Drive, usually C}:\Program Files\Converber".
    2. Copy and paste the language file you are most familiar with.
    3. Rename the newly copied file.
    4. Edit the file with a text editor.
    5. Send the zipped (*.zip) text file to the Author to include in future updates ;) (Click Here - Please include your name/alias/email/website to give credit where credit is due)
    6. Exit Converber.
    7. Run Converber.
    8. Open the Language tool dialog.
    9. Select your language in the drop-down list.
    10. Select the Ok button.


Tools: Coversion Editor

Tools: Conversion Editor

View flash-based tutorial here: http://www.xyntec.com/converbered.htm

Introduction

Depending on the types of equations and the size of the resulting file desired, Converber offers three types of conversion.

  1. Factor Type - The image above is a good example of this type. There are 12 inches in one foot, therefore the factor would be 12.
  2. Equation Type - Converting units, such as temperature, requires a more complex equation. For example, to convert fahrenheit to celsius the equation would be ( x - 32 / 1.8 ). The opposite equation box, celsius to fahrenheit, would be ( x * 1.8 + 32 ).
  3. Relation Type - This type is similar to the equation type, except the equation always relates to the initial unit. Using the same foot/inches example, the initial unit could be inches. There are 12 inches in one foot, therefore the equation for foot would be ( x * 12 ). When entering an additional unit, such as yards, it would follow that there are 36 inches in one yard ( x * 36 ). Note: Using this type of conversion the initial equation, in this case inches, must be ( x * 1 ).

1 - Show File

To show the custom conversion file in the main program window and Categories list, check the Show file check box. In the example image above, neither the categories nor the units contained in the Custom Units.ini file will be shown in the main program window.

2 - Select Conversion File

Select the conversion file to edit using the drop-down list.

3 - New Conversion File Button

To create a new custom conversion file, click the New button.

4 - Delete Conversion File Button

To delete the selected conversion file, click the Delete button.

5 - View Conversion File Button

To view or edit the custom conversion file with your default text editor, click the View button.

6 - Unit List Box 1

Select the desired unit to edit in the left-side list box.

7 - Unit List Box 2

After selecting the desired unit to edit in the left-side list box, select the opposite desired unit to edit in the right-side list box.

8 - Unit 1 Input Box

Enter the unit to use for the conversion in the left-side unit input box.

9 - Relate Unit to ...

If this box is not checked, use either the factor or equation type of conversion. If this box is checked, both the Unit 2 Input Box and the second Factor or Equation Input Box will be greyed out. Using this option will keep file sizes smaller and data entry will be faster. Note: Using this type of conversion the initial equation in each category must be ( x * 1 ).

10 - Unit 2 Input Box

Enter the other unit to use for the conversion in the right-side unit input box.

11 - Factor or Equation Input Box

Enter the corresponding factor or equation to use in the input box. If using a factor, only one of the two input boxes need to be filled. For example (see image above), 100 should be placed in the second box only. The program will automatically invert the number to calculate the other direction. If using an equation, both input boxes should be used and it should be structured like the following: ( x * 1000 ). The calculation will perform the operation left to right with no regards to the familiar parenthesis. Important reminders:

  • Do not use parenthesis.
  • Use a space to separate operations.
  • Use an x only!
  • The following operations are valid:

Operator | Description
+ | Adds two numbers. e.g. 10 + 20 (equals 30)
- | Subtracts two numbers. e.g. 20 - 10 (equals 10)
* | Multiplies two numbers. e.g. 20 * 10 (equals 200)
/ | Divides two numbers. e.g. 20 / 10 (equals 2)
^ | Raises a number to the power. e.g. 2 ^ 4 (equals 16)

12 - Factor or Equation Input Box

The same rules apply for this equation input box as the previous.

13 - Category Input Box

Enter the category for the conversion in the category input box.

14 - Add Conversion Button

To create a new conversion after filling in the appropriate input boxes, click the Add button. A file must be selected in the combo box (2).

15 - Update Conversion Button

To modify an existing conversion, click the Update button. A file must be selected in the combo box (2).

16 - Delete Conversion Button

To delete a conversion or unit, click the Delete button. Either one or two units must be selected in the left-side unit list box (6) and in the right-side unit list box (7).

17 - Ok Button

To exit the conversion editor and return to the main program window, click the Ok button.

18 - Help Button

To show the Converber help contents, click the Help button. If the help file does not exist, an option is presented to view the help contents on-line.


Options

You use the Options properties sheet to modify a number of Converber settings.

  • General: Select amongst several user options.
  • Updates: Select amongst several update options.


Options: General

The General properties page allows you to select amongst several options.

  • Remember Last Window Position

    If the "Remember Last Window Position" item is not checked, the program window will always open in the center of the screen. If the "Remember Last Window Position" item is checked, the program window will open at the same location on the screen as when the program was exited.

  • Decimal-Point Precision

    If the "Decimal-Point Precision" item is not checked, the input box as well as the "Scientific Notation" item will be greyed out. The calculated output will show all available digits following the decimal point. If the "Decimal-Point Precision" item is checked the calculated output will limit the maximum number of digits following the decimal point.

  • Scientific Notation

    If the "Scientific Notation" item is not checked, the calculated value will only display the exponent if necessary. If the "Scientific Notation" item is checked, the calculated value will always display the exponent. For example, 12345.6789 will be displayed as 1.23456789e004

  • "e" Introduces Exponent

    "E" Introduces Exponent

    In mathematics, exponentiation is a process generalized from repeated multiplication, in much the same way that multiplication is a process generalized from repeated addition. (The next operation after exponentiation is sometimes called tetration; repeating this process leads to the Ackermann function.)
    Powers of 10 are easy to compute: for example 106 = 1 million, which is 1 followed by 6 zeros. Exponentiation with base 10 is often used in the physical sciences to describe large or small numbers in scientific notation; for example, 299792458 (the speed of light in a vaccuum, in meters per second) can be written as 2.99792458 × 108 and then approximated as 2.998 × 108 if this is useful. SI prefixes are also used to describe small or large quantities, and these are also based on powers of 10; for example, the prefix kilo means 103 = 1000, so a kilometre is 1000 metres. (Excerpted from Wikipedia)

  • Significant Digits

    The "Significant Digits" item limits the maximum number of significant digits to the value entered in the input box.

    Significant figures (also called significant digits and abbreviated sig figs or sig digs, respectively) is a method of expressing errors in measurements. The term is also sometimes used to describe some rules-of-thumb, known as Significance arithmetic, which attempt to indicate the propagation of errors in a scientific experiment or in statistics when perfect accuracy is not attainable or not required. Scientific notation is often used when expressing the significant figures in a number.
    The concept of significant figures is derived from the method of measuring a value so that the smallest accurately known decimal place is next to last and only one further is estimated; for example, if an object is measured with a ruler that is marked in millimeters and is known to be between six and seven millimeters and appears to the measurer to be approximately two-thirds of the way between them, an acceptable measurement for it could be 6.6 mm or 6.7 mm, but not 6.666666... mm. This rule based upon the principle of not implying more precision than can be justified when measurements are taken in this manner.
    For example,

    1.2345
    0012345
    0.00012345

    all have five significant digits.
    Conventionally, a number with value zero is considered to have one significant digit. (Excerpted from Wikipedia)

  • Use multiple user named preference files (default)

    Use single global preference file (USB Drive)

    After running the program the first time a preferences file is created to store such information as the last used units and value, the window position, the significant digits selected, the decimal-point precision, the scientific notation setting, the selected language file, the list of enabled and disabled conversion equation files, and the transparency setting. This file is titled "{user_name} Preferences.ini", by default. Alternatively, a single preferences file can be selected, titled "Preferences.ini". This is ideal for USB Drives and the like.


Options: Updates

The Updates properties page allows you to select amongst several options.

  • Check for New Version

    If the "Check for New Version" item is checked, the program will read the size of an online text file and compare this to your current version whenever the Help-Check for Update(s)... menu item is selected or whenever the program starts if the "Check for Update(s) During Startup" is selected below.

  • Check for New Conversion File

    If the "Check for New Conversion File" item is not checked, the program will not check for the latest version of the conversion file whenever the Help-Check for Update(s)... menu item is selected or whenever the program starts if the "Check for Update(s) During Startup" is selected below. If the "Check for New Conversion File" item is checked, the program will read the size of an online text file and compare this to your current version whenever the Help-Check for Update(s)... menu item is selected or whenever the program starts if the "Check for Update(s) During Startup" is selected below.

  • Check for New Language File

    If the "Check for New Language File" item is not checked, the program will not check for the latest version of the currently used language file whenever the Help-Check for Update(s)... menu item is selected or whenever the program starts if the "Check for Update(s) During Startup" is selected below. If the "Check for New Language File" item is checked, the program will read the size of an online text file and compare this to your currently used language whenever the Help-Check for Update(s)... menu item is selected or whenever the program starts if the "Check for Update(s) During Startup" is selected below.

  • Check for Above Update(s) During Startup

    If the "Check for Above Update(s) During Startup" item is not checked, the program will not access the internet to check for the above checked update(s) during program startup. If the "Check for Above Update(s) During Startup" item is checked, the program will access the internet to check for the above checked update(s) during program startup. Note: Nothing is sent from your computer. The program merely reads the size of an online text file and compares this to your current version.


Menus: Swap

The Swap menu inverts the two selected units, placing the unit selected in the left-hand list box with the unit in the right-hand list box and vice-versa.


Menus: Favorites

The Favorites menu has the following menus:

  • Add to Favorites: Adds the two currently selected units to the favorites menu. Note: If no unit is selected OR if only one unit is selected, nothing will be added to the favorites menu.
  • Delete Favorites: Shows a submenu to delete either a single favorites item or all favorites items.
  • ***: Shows the two units.


Menus: Category

The Category menu has the following menus:

  • All: Shows units in all of the categories.
  • ***: Shows the units for only the selected category.


Menus: Help

The Help menu has the following menus:

  • Contents: Show the Converber help contents if the file exists. If not, option is presented to view help file on-line.
  • Check for Update(s): Detects the availability of a new version. If the option is selected, this will also check the availability of a new conversion file and/or a new language file. Note: Nothing is sent from your computer. The program merely reads the size of an online text file and compares this to your current version. If the prompt to automatically update your existing file is confirmed, Converber will download the file from the internet and replace the file being used by Converber. No restart is required. The interface will automatically refresh showing the new data.
  • Report Bug: Opens the default browser to the bug report form on Xyntec's website.
  • About Converber: Show the Converber about box.


FAQ

Frequently Asked Questions (FAQ)

This section gives some of the more frequently asked questions that we have anticipated and gathered from our local support team.

Questions

1. There are no units on the left side.

2. There are no units on the right side.

3. What has been installed on my computer?

4. How do I uninstall?

5. Will you be adding more units and categories?

6. Will you add my favorite feature?

7. What if I have any other questions not covered in this help document?

1. There are no units on the left side.

First, verify that the Converber Units.ini or any other custom INI file is installed in the same directory as the Converber.exe file. Open the editor, by seleting Tools - Conversion Editor.... Look for files in the drop-down box. If none exist, re-install Converber.

Second, open the editor, by seleting Tools - Conversion Editor.... Select the conversion file using the drop-down box and verify that the Show File check box is checked.

Third, re-install Converber.

Back To Top

2. There are no units on the right side.

First, verify that a unit on the left side has been selected.

Second, verify that the INI file, containing the selected unit, has been setup properly.

Back To Top

3. What has been installed on my computer?

This really depends on how you installed Converber.

If the stand-alone binaries were extracted from the zip file, then only the files extracted were added to the hard drive including the preferences file (see paragraph below).

If you used the setup file (Converber-setupXXX.exe), a programs folder is added to your Start Menu, an uninstall entry is added to your Add/Remove Programs control panel applet adding one registry key to the "HKLM\Software\Microsoft\Windows\CurrentVersion\Uninstall" directory), and an uninstall file (uninstall.exe) is added to the program directory. Further files will be added depending on the selections made during startup. These include the executable (Converber.exe), and associated unit conversion file (Converber Units.ini), help file (Converber.chm), and language files (English.lng, etc.) which are copied to the program directory selected during setup. By default, the directory is "{Home Drive, usually C}:\Program Files\Converber". The Desktop and Quick Launch icons may also be selected during setup.

After running the program the first time a preferences file is created to store such information as the last used units and value, the window position, the significant digits selected, the decimal-point precision, the scientific notation setting, the selected language file, the list of enabled and disabled conversion equation files, and the transparency setting. This file is titled "{user_name} Preferences.ini", by default. In the options, you can select to use a single preferences file titled "Preferences.ini". This is ideal for USB Drives and the like.

No further files, dll's, registry settings, etc. are installed or modified.

Back To Top

4. How do I uninstall?

You may uninstall by deleting the program directory, or...

If you used the setup file (Converber-setupXXX.exe), simply go to the Control Panel, select Add/Remove Programs, select Converber, and click the Uninstall button OR select uninstall from the Programs Group created during installation. Warning: All files will be deleted from the folder created during the setup. This includes any custom language or equation files you have so diligently worked on.

Back To Top

5. Will you be adding more units and categories?

Quite simply, yes, definitely, you bet, assuredly, uh-huh, absolutely.

Back To Top

6. Will you add my favorite feature?

While no promises can be made, we will do our best to satisfy our customers. We highly encourage you to submit ideas. As a matter of fact, we have setup a form on our website to allow you to easily submit requests, as well as bugs.

Back To Top

7. What if I have any other questions not covered in this help document?

Contact us online at http://www.xyntec.com or toll free: 1-877-938-9775. You may also submit your question via a form we have setup on our website.

Back To Top